Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 162814 - List of Update Centers contain "Feature On Demand"
List of Update Centers contain "Feature On Demand"
Status: CLOSED FIXED
Product: ide
Classification: Unclassified
Component: Features On Demand
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@performance
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 11:56 UTC by Marian Mirilovic
Modified: 2009-06-21 13:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (34.35 KB, text/plain)
2009-04-16 11:57 UTC, Marian Mirilovic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2009-04-16 11:56:53 UTC
NB Dev (20090416) ... see attached screenshot
Comment 1 Marian Mirilovic 2009-04-16 11:57:19 UTC
Created attachment 80235 [details]
screenshot
Comment 2 Marian Mirilovic 2009-04-16 15:11:41 UTC
Jarda, no problem with P3 .. if you fix this before Beta.
Comment 3 Oleg Khokhlov 2009-04-16 15:21:54 UTC
'Installed' tab in plugins manager has 'Advanced View' checkbox.
If uncheck FoD in 'Settings' tab - 'Advanced View' checkbox disappears.

If you close plugins dialog and reopen it  - you will never see  'Advanced View' checkbox again even if you check FoD again.
Comment 4 Marian Mirilovic 2009-04-16 15:43:14 UTC
> If you close plugins dialog and reopen it  - you will never see  'Advanced View' checkbox again even if you check FoD
again.
... reported as issue 162818
Comment 5 Jaroslav Tulach 2009-04-27 16:10:39 UTC
ergonomics#61a0e3663e94

I needed to make a little change in autoupdate.ui, I hope it is harmless. Dmitry please review.
Comment 6 dlipin 2009-04-28 12:11:32 UTC
Find usages on UpdateUnitProvider.getDisplayName() gives, at least, several occurances in tests and in 
UpdateElement.getUpdateUnitProvider() method. Can`t say anything about tests but the latter 
(UpdateElement.getUpdateUnitProvider()) is likely to throw the NPE is such a case.
Comment 7 Jaroslav Tulach 2009-04-28 14:37:49 UTC
Thanks for review. One fix in code provided here: ergonomics#577ece008efe
I'll rerun the test and check for failures.
Comment 8 Quality Engineering 2009-04-28 18:52:45 UTC
Integrated into 'main-golden', will be available in build *200904281401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/61a0e3663e94
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #162814: Don't display providers with null display name - like FoDUnitProvider - in the autoupdate ui settings tab
Comment 9 Quality Engineering 2009-04-29 18:46:07 UTC
Integrated into 'main-golden', will be available in build *200904291401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/577ece008efe
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: Additional fix for #162814. Surivive that getDisplayName is null
Comment 10 Marian Mirilovic 2009-04-30 13:55:50 UTC
verified in NB Dev 20090430


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo